org.apache.xmpbox.xml

## Enum XmpParsingException.ErrorType

- java.lang.Object
- - java.lang.Enum<XmpParsingException.ErrorType>
  - - org.apache.xmpbox.xml.XmpParsingException.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<XmpParsingException.ErrorType>

Enclosing class:
  XmpParsingException

    public static enum XmpParsingException.ErrorType
    extends Enum<XmpParsingException.ErrorType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Configuration`
`Format`
`InvalidPdfaSchema`
`InvalidPrefix`
`InvalidType`
`NoRootElement`
`NoSchema`
`NoType`
`NoValueType`
`RequiredProperty`
`Undefined`
`XpacketBadEnd`
`XpacketBadStart`

### Method Summary

All Methods Static Methods Concrete Methods
`static XmpParsingException.ErrorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmpParsingException.ErrorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Undefined

    public static final XmpParsingException.ErrorType Undefined

#### Configuration

    public static final XmpParsingException.ErrorType Configuration

#### XpacketBadStart

    public static final XmpParsingException.ErrorType XpacketBadStart

#### XpacketBadEnd

    public static final XmpParsingException.ErrorType XpacketBadEnd

#### NoRootElement

    public static final XmpParsingException.ErrorType NoRootElement

#### NoSchema

    public static final XmpParsingException.ErrorType NoSchema

#### InvalidPdfaSchema

    public static final XmpParsingException.ErrorType InvalidPdfaSchema

#### NoType

    public static final XmpParsingException.ErrorType NoType

#### InvalidType

    public static final XmpParsingException.ErrorType InvalidType

#### Format

    public static final XmpParsingException.ErrorType Format

#### NoValueType

    public static final XmpParsingException.ErrorType NoValueType

#### RequiredProperty

    public static final XmpParsingException.ErrorType RequiredProperty

#### InvalidPrefix

    public static final XmpParsingException.ErrorType InvalidPrefix

### Method Detail

#### values

    public static XmpParsingException.ErrorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XmpParsingException.ErrorType c : XmpParsingException.ErrorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XmpParsingException.ErrorType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null